---

driver:
  name: docker

platforms:
  - name: ms0-${CI_PIPELINE_ID:-default}
    environment:
      HOSTALIASES: /etc/hosts.aliases
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - data-${CI_PIPELINE_ID:-ha}:/data:rw
    tmpfs:
      - /tmp
      - /run
    groups:
      - mediaserver
      - live
      - celerity
  - name: ms1-${CI_PIPELINE_ID:-default}
    environment:
      HOSTALIASES: /etc/hosts.aliases
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - data-${CI_PIPELINE_ID:-ha}:/data:rw
    tmpfs:
      - /tmp
      - /run
    groups:
      - mediaserver
      - live
  - name: ms2-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    environment:
      HOSTALIASES: /etc/hosts.aliases
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
      - data-${CI_PIPELINE_ID:-ha}:/data:rw
    tmpfs:
      - /tmp
      - /run
    groups:
      - mediaserver
      - live
  - name: db0-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
  - name: db1-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
  - name: db2-${CI_PIPELINE_ID:-default}
    image: registry.ubicast.net/docker/debian-systemd:buster
    command: /lib/systemd/systemd
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
    tmpfs:
      - /tmp
      - /run
    groups:
      - postgres
provisioner:
  name: ansible
  options:
    D: true
  env:
    ANSIBLE_ROLES_PATH: ../../roles
    ANSIBLE_LIBRARY: ../../library
    ANSIBLE_ACTION_PLUGINS: ../../plugins/action
    ANSIBLE_PYTHON_INTERPRETER: /usr/bin/python3
    SKYREACH_SYSTEM_KEY: ${SKYREACH_SYSTEM_KEY_HA}
  inventory:
    group_vars:
      postgres:
        repmgr_password: "testrepmgr"

verifier:
  name: testinfra
  options:
    verbose: true

...
